=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for Shippo::Location
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'Location' do
  before do
    # run before each test
    @instance = Shippo::Location.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of Location' do
    it 'should create an instance of Location' do
      expect(@instance).to be_instance_of(Shippo::Location)
    end
  end
  describe 'test attribute "address"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "building_location_type"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["Back Door", "Ring Bell", "Security Deck", "Shipping Dock", "Front Door", "Knock on Door", "In/At Mailbox", "Mail Room", "Office", "Other", "Reception", "Side Door"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.building_location_type = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "building_type"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["apartment", "building", "department", "floor", "room", "suite"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.building_type = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "instructions"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
